curl -X DELETE "https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000', {
method: 'DELETE',
headers: { 'X-API-Key': 'your_api_key' }
});
{
"success": true
}
Notification Channels
Delete Notification Channel
Delete a notification channel
DELETE
/
notifications
/
channels
/
{id}
curl -X DELETE "https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000', {
method: 'DELETE',
headers: { 'X-API-Key': 'your_api_key' }
});
{
"success": true
}
Path Parameters
string
required
The unique identifier of the notification channel to delete
Response
Returns a success confirmation.curl -X DELETE "https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/notifications/channels/550e8400-e29b-41d4-a716-446655440000', {
method: 'DELETE',
headers: { 'X-API-Key': 'your_api_key' }
});
{
"success": true
}
Deleting a notification channel stops all future notifications through that channel. Active incidents will not be able to send updates through deleted channels.